/*+------------------------------------------------------------------+
 | FileName: 
 | Author: Copyright  2005, 
 | Version : 01 (Inital code)
 | 
 +------------------------------------------------------------------+*/
#property copyright "Copyright  2005, "
#property link      "http://"

#property indicator_chart_window
#property indicator_buffers 3

#property indicator_color1 Yellow
#property indicator_color2 Aqua
#property indicator_color3 Red   

//---- input parameters
extern bool showClose = false;
//---- buffers

double PrevDayHiBuffer[];
double PrevDayLoBuffer[];
double PrevDayCloseBuffer[];

int fontsize=10;
double PrevDayHi, PrevDayLo, PrevDayClose;
double LastHigh,LastLow,LastClose,x;


//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here

   
   ObjectDelete("PrevDayHi");
   ObjectDelete("PrevDayLo"); 
   ObjectDelete("PrevDayClose");    
//
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;


//---- indicator line
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexStyle(2,DRAW_LINE);
   
  
   SetIndexBuffer(0, PrevDayHiBuffer);
   SetIndexBuffer(1, PrevDayLoBuffer);
   SetIndexBuffer(2, PrevDayCloseBuffer);
   


//---- name for DataWindow and indicator subwindow label
   short_name="Prev Hi-Lo levels";
   IndicatorShortName(short_name);
   SetIndexLabel(0, short_name);

//----
   SetIndexDrawBegin(0,1);
//----
 

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()

  {
   int    counted_bars=IndicatorCounted();

   int limit, i;
//---- indicator calculation
if (counted_bars==0)
{
   x=Period();
   if (x>240) return(-1);
   ObjectCreate("PrevDayHi", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("PrevDayHi", "                     Prev. HIGH",fontsize,"Arial", Aqua);
   ObjectCreate("PrevDayLo", OBJ_TEXT, 0, 0, 0);   
   ObjectSetText("PrevDayLo", "                     Prev. LOW",fontsize,"Arial", Aqua); 
   //ObjectCreate("PrevDayClose", OBJ_TEXT, 0, 0, 0);
   //ObjectSetText("PrevDayClose", "                   Prev. Close",fontsize,"Arial", Red);
   
} 
  if(counted_bars<0) return(-1);
  
  limit = (Bars-counted_bars) - 1;



for (i=limit; i>=0; i--)
{ 

   if (TimeDayOfWeek(Time[i+1])!=0)
   { 
   
      if (High[i+1]>LastHigh) LastHigh=High[i+1];
      if (Low[i+1]<LastLow) LastLow=Low[i+1];
      if (Close[i+1]<LastClose) LastClose=Close[i+1];
      //Print("TimeDay(Time[i]=",TimeDay(Time[i]),"TimeDay(Time[i+1])",TimeDay(Time[i+1]));
      if (TimeDay(Time[i])!=TimeDay(Time[i+1]))
      { 
         PrevDayHi=LastHigh;
         PrevDayLo=LastLow;
         PrevDayClose=Close[i];
         LastLow=Close[i];
         LastHigh=Close[i];

  
         ObjectMove("PrevDayHi", 0, Time[i], PrevDayHi);
         ObjectMove("PrevDayLo", 0, Time[i], PrevDayLo);
         ObjectMove("PrevDayClose", 0, Time[i], PrevDayClose);

      }
   }
   
    PrevDayHiBuffer[i]=PrevDayHi;
    PrevDayLoBuffer[i]=PrevDayLo;
    
    if(showClose == true)
      PrevDayCloseBuffer[i]=PrevDayClose;
}

//----
   return(0);
  }
//+------------------------------------------------------------------+